Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawTextQt Class Reference

`#include <DrawTextQt.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawTextQt:

## Public Member Functions

| DrawTextQt (double max_fnt_sz, double min_fnt_sz, QPainter *qp)
| DrawTextQt (const DrawTextQt &rhs)=delete
| DrawTextQt (DrawTextQt &&rhs)=delete
DrawTextQt & | operator= (const DrawTextQt &rhs)=delete
DrawTextQt & | operator= (DrawTextQt &&rhs)=delete
void | drawChar (char c, const Point2D &cds) override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawTextNotFT
| DrawTextNotFT (double max_fnt_sz, double min_fnt_sz)
| ~DrawTextNotFT () override
void | alignString (TextAlignType align, const std::vector< TextDrawType > &draw_modes, std::vector< std::shared_ptr< StringRect > > &rects) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawText
virtual | ~DrawText ()=0
| DrawText (double max_fnt_sz, double min_fnt_sz)
| DrawText (const DrawText &)=delete
| DrawText (DrawText &&)=delete
DrawText & | operator= (const DrawText &)=delete
DrawText & | operator= (DrawText &&)=delete
DrawColour const & | colour () const
void | setColour (const DrawColour &col)
double | fontSize () const
void | setFontSize (double new_size)
double | baseFontSize () const
void | setBaseFontSize (double new_size)
double | maxFontSize () const
void | setMaxFontSize (double new_max)
double | minFontSize () const
void | setMinFontSize (double new_max)
double | fontScale () const
bool | setFontScale (double new_scale, bool ignoreLimits=false)
virtual std::string | getFontFile () const
virtual void | setFontFile (const std::string &font_file)
virtual void | getStringSize (const std::string &label, double &label_width, double &label_height) const
| using the current scale, work out the size of the label
void | getStringExtremes (const std::string &label, OrientType orient, double &x_min, double &y_min, double &x_max, double &y_max, bool dontSplit=false) const
void | getStringRects (const std::string &text, OrientType orient, std::vector< std::shared_ptr< StringRect > > &rects, std::vector< TextDrawType > &draw_modes, std::vector< char > &draw_chars, bool dontSplit=false, TextAlignType textAlign=TextAlignType::MIDDLE) const
virtual void | drawString (const std::string &str, const Point2D &cds, TextAlignType align)
| drawString centres the string on cds.
void | drawString (const std::string &label, const Point2D &cds, OrientType orient)
void | adjustLineForString (const std::string &label, OrientType orient, const Point2D &end1, Point2D &end2) const
void | drawStringRects (const std::string &label, OrientType orient, TextAlignType talign, const Point2D &cds, MolDraw2D &mol_draw) const
bool | doesRectIntersect (const std::string &label, OrientType orient, const Point2D &cds, const StringRect &rect) const
bool | doesRectIntersect (const std::vector< std::shared_ptr< StringRect > > &rects, const Point2D &cds, const StringRect &rect) const
bool | doesLineIntersect (const std::string &label, OrientType orient, const Point2D &cds, const Point2D &end1, const Point2D &end2, double padding) const
bool | doesLineIntersect (const std::vector< std::shared_ptr< StringRect > > &rects, const Point2D &cds, const Point2D &end1, const Point2D &end2, double padding) const
bool | doesStringIntersect (const std::vector< std::shared_ptr< StringRect > > &rects, const Point2D &cds1, const std::string &label2, OrientType orient2, const Point2D &cds2) const
bool | doesStringIntersect (const std::string &label1, OrientType orient1, const Point2D &cds1, const std::string &label2, OrientType orient2, const Point2D &cds2) const
void | adjustStringRectsForSuperSubScript (const std::vector< TextDrawType > &draw_modes, std::vector< std::shared_ptr< StringRect > > &rects) const
double | selectScaleFactor (char c, TextDrawType draw_type) const
void | drawChars (const Point2D &a_cds, const std::vector< std::shared_ptr< StringRect > > &rects, const std::vector< TextDrawType > &draw_modes, const std::vector< char > &draw_chars)

## Additional Inherited Members

Public Attributes inherited from RDKit::MolDraw2D_detail::DrawText
DrawColour | colour_
double | font_scale_
double | max_font_size_
double | min_font_size_
double | base_font_size_ = DEFAULT_FONT_SCALE
Static Public Attributes inherited from RDKit::MolDraw2D_detail::DrawText
static constexpr double | DEFAULT_FONT_SCALE
static constexpr double | SUBS_SCALE = 0.66
static constexpr double | SUPER_SCALE = 0.66

## Detailed Description

Definition at line 23 of file DrawTextQt.h.

## Constructor & Destructor Documentation

## DrawTextQt() [1/3]

RDKit::MolDraw2D_detail::DrawTextQt::DrawTextQt | ( | double | max_fnt_sz,
|  | double | min_fnt_sz,
|  | QPainter * | qp )

Referenced by DrawTextQt(), DrawTextQt(), operator=(), and operator=().

## DrawTextQt() [2/3]

RDKit::MolDraw2D_detail::DrawTextQt::DrawTextQt | ( | const DrawTextQt & | rhs | ) |

delete

References DrawTextQt().

## DrawTextQt() [3/3]

RDKit::MolDraw2D_detail::DrawTextQt::DrawTextQt | ( | DrawTextQt && | rhs | ) |

delete

References DrawTextQt().

## Member Function Documentation

## drawChar()

void RDKit::MolDraw2D_detail::DrawTextQt::drawChar | ( | char | c,
|  | const Point2D & | cds )

override virtual

Implements RDKit::MolDraw2D_detail::DrawText.

## operator=() [1/2]

DrawTextQt & RDKit::MolDraw2D_detail::DrawTextQt::operator= | ( | const DrawTextQt & | rhs | ) |

delete

References DrawTextQt().

## operator=() [2/2]

DrawTextQt & RDKit::MolDraw2D_detail::DrawTextQt::operator= | ( | DrawTextQt && | rhs | ) |

delete

References DrawTextQt().

The documentation for this class was generated from the following file:

- DrawTextQt.h